---
title: Feeds/Media Endpoints (2022/06)
slug: develop/feedsmedia-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

Use these endpoints to manage Live Media Feeds on the network. 

Base URL for these endpoints:  ***https\://api.bsn.cloud/2022/06/REST/Feeds/Media***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Returns a list of Live Media Feeds on a network

**Required Scope Token**

bsn.api.main.feeds.media.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.
- `sort` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (see [this page](docId:3L0afyD3xoOE-yTvfk2vs) for more information). The default value is null.
- `marker` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Live Media Feeds exceeds the `pageSize`. This parameter is only required if you need more elements in the paged list than the `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of Live Media Feeds that can be contained in the response body. This defaults to the maximum allowed page size (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.
- `pageSize` is set to `1`
- `filter` is set to `[Name] BEGINS WITH 'Oct'`
- `sort` is set to `[LastModifiedDate] DESC`

```text
GET /2022/06/REST/Feeds/Media/?marker=OAb21dyge433&pageSize=1&filter=%5BName%5D%20BEGINS%20WITH%20%27Oct%27&sort=%5BLastModifiedDate%5D%20DESC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a [paged list](docId\:Pwwr0Ln3-binNgL-mr3St) of [Live Media Feed Entities](docId\:bMW_LbF5Hs7k60Z4PdsxF) on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

**Example**

```json
{
  "items": [
    {
      "id": 12345678,
      "name": "Oct2023_LMF_2",
      "ttl": "00:01:00",
      "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1903005a2e7c4255f162ca068eb925b6",
      "fileSize": 842,
      "fileHash": "SHA1:7DED344401FA3D60E33987B0B792EDE2A4583180",
      "creationDate": "2023-10-25T18:31:55.037Z",
      "lastModifiedDate": "2023-10-25T18:31:55.153Z",
      "content": null,
      "permissions": [],
      "presentations": [
        {
         "id": 12345,
         "name": "All Set Presentation",
         "type": "Presentation",
         "link": null
        }
      ]
    }
  ],
  "totalItemCount": 3,
  "matchingItemCount": 3,
  "pageSize": 1,
  "nextMarker": "MjAyMy0xMC0yNVQxODozMTo1NS4xNTNaLDExNTAzNjQ1",
  "prevMarker": "MjAyMy0xMC0yNVQxODozMTo1NS4xNTNaLDExNTAzSm01",
  "isTruncated": true,
  "sortExpression": "[LastModifiedDate] DESC",
  "filterExpression": "[Name] BEGINS WITH 'Oct'"
}
```

**Failure**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /

Creates a Live Media Feed on a network

**Required Scope Token**

bsn.api.main.feeds.media.create

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body** 

- The [Live Media Feed Entity](docId\:bMW_LbF5Hs7k60Z4PdsxF)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
POST /2022/06/REST/Feeds/Media/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 414
```

This is the example request body:

```json
{
  "id": 0,
  "name": "Main Screen Menu",
  "ttl": "00:05:00",
  "physicalPath": null,
  "fileSize": 0,
  "fileHash": null,
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "content": [
    {
      "contentId": 12345,
      "fileName": "Saturday Breakfast Menu.jpg",
      "title": "Breakfast Menu",
      "description": "Saturday Breakfast Menu (November 2023)",
      "disabled": false,
      "displayDuration": "00:00:15",
      "validityStartDate": "2023-11-11T08:00:00Z",
      "validityEndDate": "2023-11-11T12:00:00Z",
      "customFields": {
        "meal": "Breakfast"
      }
    }
  ],
  "permissions": [],
  "presentations": null
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">201</font>: Returns the [Live Media Feed Entity](docId\:bMW_LbF5Hs7k60Z4PdsxF) created and referenced by the Uri (given by the Location header field) in the response. 

**Example**

```json
{
  "id": 23456789,
  "name": "Main Screen Menu",
  "ttl": "00:05:00",
  "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/45ab34cb6a1827ad826562eb4e039d16",
  "fileSize": 350,
  "fileHash": "SHA1:ADD4E980482E239HCE4D6F9728999EBF838AB0CE",
  "creationDate": "2023-11-17T22:57:18.2028077Z",
  "lastModifiedDate": "2023-11-17T22:57:18.2028077Z",
  "content": [
    {
      "contentId": 12345,
      "fileName": "Saturday Breakfast Menu.jpg",
      "title": "Breakfast Menu",
      "description": "Saturday Breakfast Menu (November 2023)",
      "disabled": false,
      "displayDuration": "00:00:15",
      "validityStartDate": "2023-11-11T08:00:00Z",
      "validityEndDate": "2023-11-11T12:00:00Z",
      "customFields": {
        "meal": "Breakfast"
      }
    }
  ],
  "permissions": [],
  "presentations": []
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /

Removes Live Media Feeds, specified by a filter, from a network. This allows multiple Live Media Feeds to be deleted at once.

**Required Scope Token**

bsn.api.main.feeds.media.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">required: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[Name] ENDS WITH '3'`

```text
DELETE /2022/06/REST/Feeds/Media/?filter=%5BName%5D%20ENDS%20WITH%20%273%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the number of affected Live Media Feeds as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Count/ 

Returns the number of Live Media Feeds on the network that match the specified filter criteria. If no filter is included, this call returns the total number of Live Media Feeds on the network. 

**Required Scope Token**

bsn.api.main.feeds.media.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[Name] CONTAINS 'Oct'`

```text
GET /2022/06/REST/Feeds/Media/Count/?filter=%20%5BName%5D%20CONTAINS%20%27Oct%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: The number of Live Media Feeds is returned as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/

Returns the specified Live Media Feed&#x20;

**Required Scope Token**

bsn.api.main.feeds.media.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Live Media Feed&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Feeds/Media/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Live Media Feed Entity](docId\:bMW_LbF5Hs7k60Z4PdsxF)

**Example**

This is an example of a 200 level response:

```json
{
  "id": 12345678,
  "name": "Oct2023_LMF_2",
  "ttl": "00:01:00",
  "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1903005a2e7c4255f162ca068eb925b6",
  "fileSize": 842,
  "fileHash": "SHA1:7DED344483FB4D60E33987B0B792EDE2A4583180",
  "creationDate": "2023-10-25T18:31:55.037Z",
  "lastModifiedDate": "2024-01-03T20:33:35.093Z",
  "content": [
    {
      "contentId": 911345,
      "fileName": "ProfilePhoto.png",
      "title": "ProfilePhoto.png",
      "description": "",
      "disabled": false,
      "displayDuration": "00:00:06",
      "validityStartDate": null,
      "validityEndDate": null,
      "customFields": {}
    }
  ],
  "permissions": [],
  "presentations": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{id}/ 

Modifies the specified Live Media Feed

**Required Scope Token**

bsn.api.main.feeds.media.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Live Media Feed Entity](docId\:bMW_LbF5Hs7k60Z4PdsxF)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Feeds/Media/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Content-Type: application/json
Content-Length: 709
```

This is the example request body:

```json
{
  "id": 12345678,
  "name": "Oct2023_LMF_2",
  "ttl": "00:01:00",
  "physicalPath": null,
  "fileSize": 0,
  "fileHash": null,
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "content": [
    {
      "contentId": 911345,
      "fileName": "ProfilePhoto.png",
      "title": "ProfilePhoto.png",
      "description": "",
      "disabled": false,
      "displayDuration": "00:00:06",
      "validityStartDate": null,
      "validityEndDate": null,
      "customFields": {
        "customField1": ""
      }
    }
  ],
  "permissions": [],
  "presentations": null
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Live Media Feed has been updated on the network 

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/ 

Removes the specified Live Media Feed

**Required Scope Token**

bsn.api.main.feeds.media.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#7455f7">int: </font><font color="#0C121D">The</font> unique identifier of the Live Media Feed to delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `11475023`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Feeds/Media/11475023/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Live Media Feed has been removed

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/ 

Returns the specified Live Media Feed

**Required Scope Token**

bsn.api.main.feeds.media.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Oct2023_LMF_2`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Feeds/Media/Oct2023_LMF_2/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Live Media Feed Entity](docId\:bMW_LbF5Hs7k60Z4PdsxF)

**Example**

This is an example of a 200 level response:

```json
{
  "id": 12345678,
  "name": "Oct2023_LMF_2",
  "ttl": "00:01:00",
  "physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/1903005a2e7c4255f162ca068eb925b6",
  "fileSize": 842,
  "fileHash": "SHA1:7DEB144483FA3D60E33987B0B792EDE2A4583180",
  "creationDate": "2023-10-25T18:31:55.037Z",
  "lastModifiedDate": "2024-01-03T20:33:35.093Z",
  "content": [
    {
      "contentId": 911345,
      "fileName": "ProfilePhoto.png",
      "title": "ProfilePhoto.png",
      "description": "",
      "disabled": false,
      "displayDuration": "00:00:06",
      "validityStartDate": null,
      "validityEndDate": null,
      "customFields": {}
    }
  ],
  "permissions": [],
  "presentations": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{name}/ 

Modifies the specified Live Media Feed

**Required Scope Token**

bsn.api.main.feeds.media.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Live Media Feed Entity](docId\:bMW_LbF5Hs7k60Z4PdsxF)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `Oct2023_LMF_2`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Feeds/Media/Oct2023_LMF_2/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Content-Type: application/json
Content-Length: 709
```

This is the example request body:

```text
{
  "id": 12345678,
  "name": "Oct2023_LMF_2",
  "ttl": "00:01:00",
  "physicalPath": null,
  "fileSize": 0,
  "fileHash": null,
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "content": [
    {
      "contentId": 911345,
      "fileName": "ProfilePhoto.png",
      "title": "ProfilePhoto.png",
      "description": "",
      "disabled": false,
      "displayDuration": "00:00:06",
      "validityStartDate": null,
      "validityEndDate": null,
      "customFields": {
        "customField1": ""
      }
    }
  ],
  "permissions": [],
  "presentations": null
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Live Media Feed has been updated on the network 

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/ 

Removes the specified Live Media Feed

**Required Scope Token**

bsn.api.main.feeds.media.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Live Media Feed to delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `Oct2023_LMF_2`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Feeds/Media/Oct2023_LMF_2/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified Live Media Feed has been removed

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Operations/ 

Returns operational permissions granted to roles for specific business operations

**Required Scope Token**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
GET /2022/06/REST/Feeds/Media/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js)

:::ExpandableHeading
Example

```json
{
   "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
   "singularName": "Full Control",
   "pluralName": "Live Media Feed (Full Control)",
   "fullName": "Live Media Feed (Full Control)",
   "targetEntity": "LiveMediaFeed",
   "appliance": "Instance, Collection",
   "parent": null,
   "descendants":    [
            {
         "uid": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
         "singularName": "View Live Media Feed",
         "pluralName": "View Live Media Feeds",
         "fullName": "Live Media Feed (Full Control) - View Live Media Feeds",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.327Z"
            },
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.783Z"
            },
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "21529c26-0df7-4f25-8cd1-9156dffc9db6",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "6342cb21-6a12-410a-b957-adf22aec3c85",
         "singularName": "View Contents",
         "pluralName": "View Contents",
         "fullName": "Live Media Feed (Full Control) - View Contents",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.793Z"
            },
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "6342cb21-6a12-410a-b957-adf22aec3c85",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
         "singularName": "Create Live Media Feed",
         "pluralName": "Create Live Media Feed",
         "fullName": "Live Media Feed (Full Control) - Create Live Media Feed",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "9cd07413-c9b3-43c9-bdb1-7c7c01dcd4fe",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "cd97ae27-1335-4516-b8d8-f09411186df9",
         "singularName": "Rename Live Media Feed",
         "pluralName": "Rename Live Media Feed",
         "fullName": "Live Media Feed (Full Control) - Rename Live Media Feed",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
         "singularName": "Update Live Media Feed",
         "pluralName": "Update Live Media Feed",
         "fullName": "Live Media Feed (Full Control) - Update Live Media Feed",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "b3eb9da2-b32a-473b-8b74-aa2bcb32199e",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "f54db9df-41c9-41a9-8735-c2d909f12450",
         "singularName": "Assign Live Media Feed",
         "pluralName": "Assign Live Media Feed",
         "fullName": "Live Media Feed (Full Control) - Assign Live Media Feed",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "f54db9df-41c9-41a9-8735-c2d909f12450",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
         "singularName": "Unassign Live Media Feed",
         "pluralName": "Unassign Live Media Feed",
         "fullName": "Live Media Feed (Full Control) - Unassign Live Media Feed",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "a2134e6b-9e70-40e8-88bd-e1a702197b53",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
         "singularName": "Edit Permissions",
         "pluralName": "Edit Permissions",
         "fullName": "Live Media Feed (Full Control) - Edit Permissions",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.317Z"
            },
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "a153fc6a-7185-42e4-9f95-6bc31b5fe1f0",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      },
            {
         "uid": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
         "singularName": "Delete Live Media Feed",
         "pluralName": "Delete Live Media Feed",
         "fullName": "Live Media Feed (Full Control) - Delete Live Media Feed",
         "targetEntity": "LiveMediaFeed",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "4871f4d5-f78b-4c41-ab27-26391c40001a",
            "singularName": "Full Control",
            "pluralName": "Live Media Feed (Full Control)",
            "fullName": "Live Media Feed (Full Control)",
            "targetEntity": "LiveMediaFeed",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.337Z"
            },
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.447Z"
            },
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.75Z"
            },
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.77Z"
            },
                        {
               "entityId": null,
               "operationUID": "551fb25f-b467-4211-8dd6-f9ffffb1e47f",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2023-10-24T21:50:01.73Z"
            }
         ]
      }
   ],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-08-17T20:49:45.893Z"
      },
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-08-17T20:49:46.18Z"
      },
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-08-17T20:49:46.447Z"
      },
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-08-17T20:49:46.75Z"
      },
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-08-17T20:49:47.317Z"
      },
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-08-17T20:49:47.77Z"
      },
            {
         "entityId": null,
         "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
         "principal":          {
            "name": "Custom",
            "isCustom": true,
            "type": "Role",
            "id": 10498
         },
         "isFixed": false,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2023-10-24T21:50:01.73Z"
      }
   ]
}
```
:::

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/Permissions/ 

Includes object permissions for a given Live Media Feed&#x20;

**Required Scope Token**

bsn.api.main.feeds.media.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`

```text
GET /2022/06/REST/Feeds/Media/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
  {
    "entityId": 12345678,
    "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
    "principal": {
      "login": "JaneDoe@brightsign.biz",
      "type": "User",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-25T22:17:24.28Z"
  },
  {
    "entityId": 12345678,
    "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": false,
    "creationDate": "2023-10-27T18:48:11.053Z"
  }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{id}/Permissions/ 

Adds permissions to Live Media Feed(s) with the specified id.

**Required Scope Token**

bsn.api.main.feeds.media.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`

```text
POST /2022/06/REST/Feeds/Media/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328
```

This is the example request body:

```json
[
  {
    "entityId": 12345678,
    "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-25T22:17:24.28Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully granted

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/Permissions/ 

Removes permissions from the specified Live Media Feed

**Required Scope Token**

bsn.api.main.feeds.media.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>A unique identifier for the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345678`

```text
DELETE /2022/06/REST/Feeds/Media/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328
```

This is the example request body:

```json
[
  {
    "entityId": 12345678,
    "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-25T22:17:24.28Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/Permissions/ 

Includes object permissions for a given Live Media Feed.

**Required Scope Token**

bsn.api.main.feeds.media.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Oct2023_LMF`

```text
GET /2022/06/REST/Feeds/Media/Oct2023_LMF/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns an array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities 

**Example**

```json
[
  {
    "entityId": 12345678,
    "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
    "principal": {
      "login": "JaneDoe@brightsign.biz",
      "type": "User",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-25T22:17:24.28Z"
  },
  {
    "entityId": 12345678,
    "operationUID": "cd97ae27-1335-4516-b8d8-f09411186df9",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": false,
    "creationDate": "2023-10-27T18:48:11.053Z"
  }
]
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{name}/Permissions/ 

Adds permissions to Live Media Feed(s) with the specified name.

**Required Scope Token**

bsn.api.main.feeds.media.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Oct2023_LMF`

```text
POST /2022/06/REST/Feeds/Media/Oct2023_LMF/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328
```

This is the example request body:

```json
[
  {
    "entityId": 12345678,
    "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-25T22:17:24.28Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully granted

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/Permissions/ 

Removes permissions from the specified Live Media Feed. 

**Required Scope Token**

bsn.api.main.feeds.media.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the Live Media Feed

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- An array of [Permission](docId\:JWfyMC42cdRG5jY2SkYsU) entities

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Oct2023_LMF`

```text
DELETE /2022/06/REST/Feeds/Media/Oct2023_LMF/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328
```

This is the example request body:

```json
[
  {
    "entityId": 12345678,
    "operationUID": "4871f4d5-f78b-4c41-ab27-26391c40001a",
    "principal": {
      "name": "Custom",
      "isCustom": true,
      "type": "Role",
      "id": 10498
    },
    "isFixed": false,
    "isInherited": false,
    "isAllowed": true,
    "creationDate": "2023-10-25T22:17:24.28Z"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified permissions were successfully deleted 

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error
